LibreOffice: XUIConfiguration Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XUIConfiguration Interface Reference

supports to notify other implementations about changes of a user interface configuration manager. More...

`import"XUIConfiguration.idl";`

Inheritance diagram for XUIConfiguration:

## Public Member Functions
void | addConfigurationListener ([in]::com::sun::star::ui::XUIConfigurationListener Listener)
| adds the specified listener to receive events when elements are changed, inserted or removed. More...
void | removeConfigurationListener ([in]::com::sun::star::ui::XUIConfigurationListener Listener)
| removes the specified listener so it does not receive any events from this user interface configuration manager. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

supports to notify other implementations about changes of a user interface configuration manager.

The XUIConfiguration interface is provided for user interface configuration managers which need to broadcast changes within the container; that means the actions of adding, replacing and removing elements are broadcast to listeners.

This can be useful for UI to enable/disable some functions without actually accessing the data.

Since
  OOo 2.0

## Member Function Documentation

void addConfigurationListener | ( | [in] ::com::sun::star::ui::XUIConfigurationListener | Listener | ) |

adds the specified listener to receive events when elements are changed, inserted or removed.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

See also
  XUIConfigurationListener

void removeConfigurationListener | ( | [in] ::com::sun::star::ui::XUIConfigurationListener | Listener | ) |

removes the specified listener so it does not receive any events from this user interface configuration manager.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

See also
  XUIConfigurationListener

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIConfiguration.idl